Server Management - Systems Insight Manager
cancel
Showing results for 
Search instead for 
Did you mean: 

VPM 2.00 released - critical update!

 
Jennifer_74
Frequent Advisor

VPM 2.00 released - critical update!

Vulnerability and Patch Management Pack 2.00 was released 3/17/06. It contains a critical upgrade for downloading Microsoft patches.

VPM 2.00 is a required upgrade for current users. Microsoft® recently introduced the Microsoft Update Catalog, a centralized repository for all Microsoft patches. After March 2006, patches for new products introduced by Microsoft are only available through this new repository. Because of this change, the Vulnerability and Patch Management Pack has adopted this new repository as a source for the patches being provided by Microsoft.

Other changes include new patch installation status reports and support for Microsoft SQL Server database. HP Systems Insight Manager (HP SIM) 5.0 SP2 or later is required.

Refer to the Release Notes for a full list of changes in VPM 2.00: ftp://ftp.compaq.com/pub/products/servers/proliantessentials/vpmp/releasenotes.pdf

To download VPM, go to: https://payment.ecommerce.hp.com/portal/swdepot/try.do?productNumber=HPVPMP

8 REPLIES
Lawrence-S
Advisor

Re: VPM 2.00 released - critical update!

VPM2.00 INSTALL PROCESS LOGS ON TO THE HPSIM SERVER BUT NOT THE MSSQL SERVER (WINDOWS AUTHENTICATION = UNK. USER OR BAD PASSWORD). NO PROBLEM WITH SAME WINDOWS AUTH. LOGON TO VPMMSSQL VIA ODBC DATA SOURCE ADMINISTRATOR. DID HP FORGET TO ALLOW FOR NON STANDARD CHARACTERS IN THE PASSWORD (FOR EX. SPACES IN A PASSWORD PHRASE)??
TitoT
Advisor

Re: VPM 2.00 released - critical update!

Hi Lawrence.

Are you installing the VPM in the same server that HPSIM? Could you please tell us if you are using SQL or MSDE as VPM database?

Thanks.

Lawrence-S
Advisor

Re: VPM 2.00 released - critical update!

YES THE HPSIM & VPM ARE ON THE SAME SERVER RUNNING MSDE VER. 8.00.761
TitoT
Advisor

Re: VPM 2.00 released - critical update!

Hi Lawrence.

We would like to have more details about this issue, please see my questions below.

Which HPSIM version are you using?
Is this a new VPM installation or upgrade?
What operating system is being used?
On the VPM Installation, when you reached the "Data Base Configuration" screen, did you selected "Use existing Microsoft SQL Server" or "Install MSDE"?
Have the VPM been installed successfully? When exactly the issue occurs?

If it is possible, I would like to know the steps you use to install VPM and you see the problem.

Thanks.
Lawrence-S
Advisor

Re: VPM 2.00 released - critical update!

Which HPSIM version are you using?
VER. 5.0 SP4
BUILD C.05.00.01.01
DATE 2006-02-01 12:06
Is this a new VPM installation or upgrade? UPGRADE FROM VPM 1.11
What operating system is being used?
WINDOWS 2003 SERVER STANDARD (ENGLISH LANG.)
On the VPM Installation, when you reached the "Data Base Configuration" screen, did you selected "Use existing Microsoft SQL Server" or "Install MSDE"?
I HAVE TRIED BOTH AND BOTH RETURNED A CAN'T LOGON/FIND THE DATABASE. "USE EXISTING" GIVES THE EXACT MESSAGE IN MY PREVIOUS POST.
Have the VPM been installed successfully? When exactly the issue occurs?
PREVIOUS VERSIONS OF VPM INSTALLED SUCCESSFULLY FROM HPSIM BUNDLE. THE ISSUE OCCURS IN THE SETUP PROCESS AFTER THE SUCCESSFULL LOGON TO THE HPSIM. (WHERE I ALSO USE THE EXACT SAME USER/PASSWORD).
If it is possible, I would like to know the steps you use to install VPM and you see the problem. I SIMPLY DOWNLOADED THE FILE FROM HP AND OPENED VPM200.EXE:
PRESS: "SETUP"
DEFAULT: VPM "NEXT"
WARNING SSL "OK"
WARNING VPM ALREADY INSTALLED "OK"
LOGON PASSWORD TO HPSIM (THE REST WAS ALREADY FILLED OUT CORRECTLY)
LOGON TO DATABASE (CHECKED CONNECT USING WINDOWS AUTH.) HERE WAS THE ONLY ANOMALY I CAN SEE: IN THE DOMAIN INFO ENTRY IS THE
FOLLOWING:"NET.SOURCEFORGE.JTDS.JDBC.DRIVER"
IS SHOWN AS DEFAULT, BUT IT MAKES NO DIFFERENCE IF I USE THE CORRECT DOMAIN NAME, THE LOCAL MACHINE NAME, OR THE ABOVE NET.SOURCEFORGE.JTDS.JDBC.DRIVER, I GET THE SAME BAD USER/PASSWORD MESSAGE.
TitoT
Advisor

Re: VPM 2.00 released - critical update!

Hi Lawrence.

In order to workaround this issue, an alternative is to uninstall VPM 1.11, change the Administrator and HPSIM password to one that does not contain "space" characters, and install the VPM 2.0.

The steps are:

1-Remove VPM 1.11 from you computer through "HP Vulnerability and Patch Management Uninstall". Click "yes" for all pop-ups in order to remove all VPM databases.
2-Go to Administrative tools / Services;
3-Stop the service "HP Systems Insight Manager";
4-Double click on this service click on â LOG ONâ tab then change the password (this new password canâ t have space). After this click on button "OK";
5-Run command prompt and go to "C:\Program Files\HP\Systems Insight Manager\bin";
6-Execute the line "mxpassword â g";
7-The tool MxPassword will open.
8-Select the option "Modify" and on "Password Key" select the option "MxDBUserPassword";
9-Type and confirm the same password that you use on step 4;
10-Click on button "modify". A message will appear on the top informing the password is correctly changed;
11-Close the MxPassword tool.
12-Go to Administrative tools / Computer Management / Local Users and Groups / Users;
13-Change the password of Administrator account, type the same password that you chose on step 4;
14-Confirm and exit;
15-Restart the service "HP Systems Insight Manager" that you stopped on step 3;
16-Restart the machine (Recommended)
17-Log on Windows with the new Administrator password;
18-Open the HPSIM just for a quick test (use administrator with the new password that you chose);
19-Close HPSIM and start VPM 2.0 installation process (use a MSDE database with your new password).

Thanks.

TitoT
Advisor

Re: VPM 2.00 released - critical update!

Sorry for the bad characeters in the step 6.
The accurate command is: mxpassword -g

Thanks.
TitoT
Advisor

Re: VPM 2.00 released - critical update!

A correction in the step 1.
Its recommended to keep the patch entitlement lists and scan reports, select "No" when prompted (It is the third uninstall popup).


Thanks.